/**
 * 职业技能培训补贴（五级）
 */
import React, { Component } from 'react';
import { Tabs } from 'antd';
import Issued from './Issued';
import NoDistribution from './NoDistribution';
// import {

// } from '../../../../services/api';

const { TabPane } = Tabs;

export default class Training extends Component {
  constructor(props, context) {
    super(props, context);
    this.state = {
      updateIssued: false
    };
  }


  componentWillMount() {

  }

  render() {
    return (
      <div style={{ padding: '0 15px' }}>
        <Tabs defaultActiveKey="1">
          <TabPane tab="待发放" key="1">
            <NoDistribution updateIssued={() => {
              this.setState({
                updateIssued: true
              }, () => {
                this.setState({
                  updateIssued: false
                })
              })
            }} />
          </TabPane>
          <TabPane tab="已发放" key="2">
            <Issued updateIssued={this.state.updateIssued}/>
          </TabPane>
        </Tabs>
      </div>
    );
  }
}
